=== debian/changelog ===
ros-eloquent-rosbag2-transport (0.2.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-eloquent-rosbag2-transport (0.2.3-1bionic) bionic; urgency=high

  * Add CLI option to expose bagfile splitting. (#203 <https://github.com/ros2/rosbag2/issues/203>)
  * Delay subscriber asynchronous creation for opensplice in test_rosbag2_node. (#196 <https://github.com/ros2/rosbag2/issues/196>)
  * Modular Reader/Writer API. (#205 <https://github.com/ros2/rosbag2/issues/205>)
  * Contributors: Brian Marchi, Karsten Knese, Prajakta Gokhale

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-eloquent-rosbag2-transport (0.2.2-1bionic) bionic; urgency=high

  * (API) Generate bagfile metadata in Writer (#184 <https://github.com/ros2/rosbag2/issues/184>)
  * Contributors: Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-eloquent-rosbag2-transport (0.2.1-1bionic) bionic; urgency=high

  * Disable parameter event publishers on test nodes. (#180 <https://github.com/ros2/rosbag2/issues/180>)
  * Narrow down tests for topic discovery. (#178 <https://github.com/ros2/rosbag2/issues/178>)
  * Fix API for new Intra-Process communication. (#143 <https://github.com/ros2/rosbag2/issues/143>)
  * Add dependency on python_cmake_module. (#188 <https://github.com/ros2/rosbag2/issues/188>)
  * Add bagfile splitting support to storage_options. (#182 <https://github.com/ros2/rosbag2/issues/182>)
  * Fix the test failure of wrong messages count. (#165 <https://github.com/ros2/rosbag2/issues/165>)
  * Support for zero-copy message transport. (#168 <https://github.com/ros2/rosbag2/issues/168>)
  * Contributors: Alberto Soragna, ChenYing Kuo, Dan Rose, Karsten Knese, Mikael Arguedas, Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-eloquent-rosbag2-transport (0.2.0-1bionic) bionic; urgency=high

  * fixup after API changes to Subscription in rclcpp (#166 <https://github.com/ros2/rosbag2/issues/166>)
  * disable some tests for connext (#145 <https://github.com/ros2/rosbag2/issues/145>)
  * disable plugins/tests which need rmw_fastrtps_cpp if unavailable (#137 <https://github.com/ros2/rosbag2/issues/137>)
  * Fix test failures on armhf (#135 <https://github.com/ros2/rosbag2/issues/135>)
  * Contributors: Karsten Knese, Prajakta Gokhale, William Woodall, ivanpauno

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-eloquent-rosbag2-transport (0.1.2-1bionic) bionic; urgency=high

  * Fixes an init race condition (#93 <https://github.com/ros2/rosbag2/issues/93>)
    * This could probably be a race condition, for ex: When we've create a subscriber in the API, and the subscriber has the data already available in the callback (Cause of existing publishers) the db entry for the particular topic would not be availalble, which in turn returns an SqliteException. This is cause write_->create_topic() call is where we add the db entry for a particular topic. And, this leads to crashing before any recording.
    Locally I solved it by adding the db entry first, and if
    create_subscription fails, remove the topic entry from the db and also
    erase the subscription.
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix comments for pull request https://github.com/ros2/rosbag2/pull/93
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Added unit test case for remove_topics from db
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix unit tests failing by adding dependent test macros
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fixes the linter errors
  * Update troubleshooting reference to index.ros.org (#120 <https://github.com/ros2/rosbag2/issues/120>)
    Signed-off-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Contributors: Michael Carroll, Sriram Raghunathan

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-eloquent-rosbag2-transport (0.1.1-1bionic) bionic; urgency=high

  * fix condition to only apply pragma for GCC 8+ (#117 <https://github.com/ros2/rosbag2/issues/117>)
  * Contributors: Dirk Thomas

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-eloquent-rosbag2-transport (0.1.0-1bionic) bionic; urgency=high

  * ignore cast function type warning (#116 <https://github.com/ros2/rosbag2/issues/116>)
  * changes to avoid deprecated API's (#115 <https://github.com/ros2/rosbag2/issues/115>)
  * Handle message type name with multiple namespace parts (#114 <https://github.com/ros2/rosbag2/issues/114>)
  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * fix logging signature (#107 <https://github.com/ros2/rosbag2/issues/107>)
  * use fastrtps static instead of dynamic (#104 <https://github.com/ros2/rosbag2/issues/104>)
  * enforce unique node names (#86 <https://github.com/ros2/rosbag2/issues/86>)
  * disable cppcheck (#91 <https://github.com/ros2/rosbag2/issues/91>)
  * Consistent node naming across ros2cli tools (#60 <https://github.com/ros2/rosbag2/issues/60>)
  * Contributors: AAlon, Dirk Thomas, Jacob Perron, Karsten Knese, William Woodall

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-eloquent-rosbag2-transport (0.0.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-eloquent-rosbag2-transport (0.0.4-1bionic) bionic; urgency=high

  * Improve queue usage (#75 <https://github.com/bsinno/rosbag2/issues/75>)
  * 0.0.3
  * Play old bagfiles (#69 <https://github.com/bsinno/rosbag2/issues/69>)
  * Release fixups (#72 <https://github.com/bsinno/rosbag2/issues/72>)
  * Contributors: Andreas Holzner, Karsten Knese, Martin Idel


