=== debian/control ===
Source: ros-eloquent-rosbag2-transport
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gmock, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-index-cpp, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-python-cmake-module, ros-eloquent-rclcpp, ros-eloquent-rmw, ros-eloquent-rosbag2, ros-eloquent-rosbag2-test-common, ros-eloquent-shared-queues-vendor, ros-eloquent-test-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-python-cmake-module, ros-eloquent-rclcpp, ros-eloquent-rmw, ros-eloquent-rosbag2, ros-eloquent-shared-queues-vendor, ros-eloquent-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware
